.\"
.\" $Id: verify_user.man,v 1.8 1998/02/17 09:53:35 mdejonge Exp $
.\"
.\"   $Source: /home/mdejonge/CVS/projects/modem/scripts/verify_user.man,v $
.\" $Revision: 1.8 $
.\"    Author: Merijn de Jonge
.\"     Email: mdejonge@wins.uva.nl
.\" 
.\"  
.\" 
.\" This file is part of the modem communication package.
.\" Copyright (C) 1996-1998  Merijn de Jonge
.\" 
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\" 
.\" 
.\"
.TH verify_user 1 "Jan 19, 1997"
.SH NAME
verify_user \- script to check whether an user is allowed to use a modem
device controlled by modemd.

.SH SYNOPSIS
.B verify_user 
user host

.SH DESCRIPTION
Before an user can use any modem controlled my modemd(1), he/she
should have permission to use that modem. To determine whether the
user has permission, modemd(1) executes the \fIverify_user\fP script. 
By using a script for the verification of permissions, adapting the
script to meet the special needs of a particular site can easily be
done.

The script takes as arguments the login name of the user that wants
to use a modem and the host from which that user is connected. On
exit the script should return an exit value of zero (0) to indicate
that user@host has permission to use any of the available modems. An
exit value of one (1) indicates that permission should be denied.

Besides access to the modem devices, modemd(1) executes the script
verify_number(1) to check whether the user has permission to dial the
desired phone number.

.SH NOTES
The script that is included in the distribution simply returns an
exit value of 0, giving any user@host access to the modems on your
hosts. Typically, the script needs to be adapted to meet the needs of a
particular site.

.SH SEE ALSO
.BR modemd "(1),
.BR verify_number "(1)

.SH AUTHOR
Merijn de Jonge (mdejonge@wins.uva.nl)
.\"
.\" EOF scripts/verify_user.man
.\"
